#
#	The Berkeley Packet Filter Traffic collector.
#
#	Copyright (c) 1999 RISS-Telecom Networking Center
#
#	Copyright (c) 1993-1996 The CAD lab of the
#	Siberian State Academy of Telecommunication.
#
#	BPFT $Id: Makefile,v 1.2 2000/04/27 04:11:07 count Exp $
#
#	Main Makefile. Build everything in directories...
#
# SAVEDIR	Trailing slash directory,
#		summary traffic log files will be put there.
# TRAFSTAT	Full pathname where locate tarfstat program.
# TRAFSTAT_LOG	Where locate trafstatd log file.
# TRAFLOG_FMT	File with user defined descriptions of the traflog output format.

PREFIX?=/usr/local
BINDIR?=${PREFIX}/bin
MANDIR?=${PREFIX}/man/man1
SAVEDIR?=/var/trafd/

TRAFSTAT=${BINDIR}/trafstat
TRAFSTAT_LOG=/var/log/trafstat.log
TRAFSTAT_PORT=150

TRAFLOG_FMT=${PREFIX}/etc/traflog.format
TRAFCTL_CONF=${PREFIX}/etc/trafctl.conf

# Only group wheel can execute binary files.
BINMODE	= 750
BINGRP	= wheel

LDFLAGS	+= -L../lib
LDADD = -lbpft -lpcap

CFLAGS	+= -I../include -DRETSIGTYPE=void -DRETSIGVAL= \
	-DPATH_TOSAVE=\"${SAVEDIR}\" \
	-DPATH_TRAFSTAT=\"${TRAFSTAT}\" \
	-DPATH_TRAFSTAT_LOG=\"${TRAFSTAT_LOG}\" \
	-DPATH_TRAFLOG_FMT=\"${TRAFLOG_FMT}\" \
	-DTRAFSTAT_PORT=${TRAFSTAT_PORT}


